Fulfillment & ShippingFulfillment
Set default location
Returns the active default fulfillment location. If none exists, promotes an active location or creates the Main Warehouse.
PUT
/v1/fulfillment/locations/defaultReturns the active default fulfillment location. If none exists, promotes an active location or creates the Main Warehouse.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/fulfillment/locations/default" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004325301", "name": "Example resource", "code": "example_code", "address": "example", "city": "example", "state": "example", "country": "PE", "postalCode": "example_code", "latitude": 1, "longitude": 1, "phone": "+51987654321", "email": "andrea@example.com", "isDefault": false, "isActive": false, "isPhysicalStore": false, "supportsPos": false, "supportsShipping": false, "supportsPickup": false, "supportsLocalDelivery": false, "priority": 1, "pickupInstructions": "example", "pickupLeadTimeInMinutes": 1, "pickupSlotInMinutes": 1, "pickupDailyCapacity": 1, "localDeliveryInstructions": "example", "localDeliveryLeadTimeInMinutes": 1, "localDeliverySlotInMinutes": 1, "localDeliveryDailyCapacity": 1, "localDeliveryFee": 1, "localDeliveryFreeFromAmount": 1, "localDeliveryMinHours": 1, "localDeliveryMaxHours": 1, "localDeliveryPostalCodes": [ "example" ], "localDeliveryZones": [ { "name": "Example resource", "postalCodes": [ "example" ], "radiusKm": 1, "fee": 1, "freeFromAmount": 1, "minHours": 1, "maxHours": 1 } ], "pickupSchedule": [ { "dayOfWeek": "monday", "openTime": "09:00:00Z", "closeTime": "09:00:00Z", "isOpen": false } ], "deliverySchedule": [ { "dayOfWeek": "monday", "openTime": "09:00:00Z", "closeTime": "09:00:00Z", "isOpen": false } ]}